<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">

        <div class="row">
            <div class="col-lg-6 col-lg-offset-3">
                <h:panelGroup rendered="#{empty documentManager.getSelectedDocument()}">
                    <h2>Cannot find document</h2>
                    <p>#{documentManager.errorMessage}</p>

                    <h:commandButton value="Back"
                                     styleClass="btn btn-default" onclick="window.history.go(-1); return false;"/>
                </h:panelGroup>
                <h:panelGroup rendered="#{not empty documentManager.getSelectedDocument() and identity.loggedIn}">
                    <h:form id="editForm">
                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">
                                Link document to an idScheme
                            </ui:define>


                            <s:decorate template="/layout/display/_display.xhtml">
                                <ui:define name="label">Document Name</ui:define>
                                <h:outputText value="#{documentManager.selectedDocument.name}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_display.xhtml">
                                <ui:define name="label">Document URL</ui:define>
                                <h:outputText value="#{documentManager.selectedDocument.uri}"/>
                            </s:decorate>
                            <s:decorate id="idSchemeDecoration" template="/layout/form/_edit.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.IdScheme']}
                                </ui:define>
                                <ui:param name="id"
                                          value="idSchemeListBox"/>
                                <h:selectOneMenu id="idSchemeListBox"
                                                 styleClass="form-control gzl-select-text"
                                                 value="#{documentManager.selectedIdScheme}"
                                                 requiredMessage="Please select an id Scheme" required="true">
                                    <f:selectItem itemValue="#{null}"
                                                  itemLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                                    <f:selectItems value="#{assertionManager.getTargets()}"
                                                   var="target" itemLabel="#{target.idScheme}"
                                                   itemValue="#{target.id}"/>
                                    <a4j:ajax event="change"
                                              render="warningIdSchemeUnlinked" execute="@this"/>
                                </h:selectOneMenu>
                            </s:decorate>
                            <s:div id="warningIdSchemeUnlinked">
                                <h:panelGroup
                                        rendered="#{not empty documentManager.getSelectedIdScheme().getDocuments()}">
                                    <div class="alert alert-danger">
                                        <h:outputText value="#{documentManager.getSelectedIdScheme().getIdScheme()}"/>
                                        idScheme is currently linked to the following documents :
                                        <ul>
                                            <a4j:repeat value="#{documentManager.getSelectedIdScheme().getDocuments()}"
                                                        var="doc">
                                                <li>
                                                    #{doc.name}
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </div>
                                </h:panelGroup>
                                <h:panelGroup rendered="#{empty documentManager.getSelectedIdScheme().getDocuments()}">
                                    <div class="alert alert-success">
                                        <h:outputText value="#{documentManager.getSelectedIdScheme().getIdScheme()}"/>
                                        idScheme is not currently linked to a document.
                                    </div>
                                </h:panelGroup>
                            </s:div>
                            <ui:define name="panel_footer">
                                <h:commandButton value="#{messages['gazelle.simulator.Save']}"
                                                 action="#{documentManager.linkToIdScheme()}"
                                                 styleClass="gzl-btn-green"/>
                                <h:commandButton value="#{messages['users.Cancel']}"
                                                 styleClass="btn btn-default"
                                                 onclick="window.history.go(-1); return false;"/>
                            </ui:define>

                        </ui:decorate>
                    </h:form>
                </h:panelGroup>
            </div>
        </div>
    </ui:define>
</ui:composition>